[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#177674: Minor problem...



On Sat, Jan 25, 2003 at 08:29:23AM +0100, Matthias Klose wrote:
> Joel Baker writes:
> > reopen 177674
> > retitle 177674 Missing Build-Depends on autotools-dev
> > severity 177674 minor
> > 
> > Packages which directly access the scripts from autotools-dev (such as
> > the cp -p command placed into GCC in the last version) need to declare a
> > Build-Depend on the autotools-dev package.
> 
> why? automake depends on autotools-dev.

Formality/completeness; since gcc-3.2 is using the scripts directly, rather
than via automake, it should have a direct dependancy listed (since,
technically, automake could drop it's dependancy somehow, even if this is
never likely to actually happen). It is a relatively minor thing, though I
believe required by Policy (it's too late for me to try to look up chapter
& verse, if you want them I can look tomorrow); mostly, though, it's good
form to be explicit about anything you're using directly, even if it's
pulled in by something else.
-- 
Joel Baker <fenton@debian.org>

Attachment: pgpXZ57z2XsdN.pgp
Description: PGP signature


Reply to: